import * as plugins from './sdk.plugins';

export abstract class AAgHandler {
  public authenticationHandler: any;

  /**
   * a slug that separates the handler from other handlers
   */
  public abstract slug: string;

  public abstract handleRequest (request: plugins.tsclass.network.ISimpleRequest): Promise<plugins.tsclass.network.ISimpleResponse>;

  public setAuthenticationHandler(authHandler) {
    this.authenticationHandler = authHandler;
  }
}